
Redmine - Defect #3643

email notifications text and links

2009-07-21 09:45 - Slava Mikerin

Status: Closed Start date: 2009-07-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

I configured redmine to send notifications and tested it on a sample issue. Here is what I received in my gmail. I see three problems

here. The content is displayed with html tags showing, the link to issue uses localhost:3000, and footer is not showing correct link.

------------------------------

Issue #34 has been reported by Slava Mikerin.

<hr />

<h1><a href="http://localhost:3000/issues/34">Task #34: configure mailing notifications for redmin

e</a></h1>

<ul>

<li>Author: Slava Mikerin</li>

<li>Status: Assigned</li>

<li>Priority: Normal</li>

<li>Assigned to: Slava Mikerin</li>

<li>Category: Implementation</li>

<li>Target version: </li>

</ul>

--

You have received this notification because you have either subscribed to it, or are involved in i

t.

To change your notification preferences, please click here: http://hostname/my/account

History

#1 - 2009-07-21 10:01 - Slava Mikerin

Ok. I fixed the links issues by configuring general settings in redmine, but I still have the issue of html tags showing..

#2 - 2009-11-11 23:17 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Try to send emails as plain text only.

#3 - 2010-11-17 08:55 - Daniel Widerin

- Status changed from Closed to Reopened

This bug is still present in 1.0.3.

mail footer text:

--

You have received this notification because you have either subscribed to it, or are involved in it.

To change your notification preferences, please click here: http://hostname/my/account

#4 - 2010-11-17 08:57 - Daniel Widerin
http://hostname/my/account


The wrong hostname is rendered in footer.

whatever i fill into Administration->Settings->General->Hostname,

'http://hostname/my/account' is rendered as hostname in email footer.

#5 - 2010-11-17 09:42 - Jean-Baptiste Barth

The hostname in footer is not defined there but in Administration->Settings->Email Notifications

#6 - 2010-11-17 12:11 - Holger Just

- Status changed from Reopened to Closed
